Bug Hunting Session
Bug 58189 - EDITING: Wrong Chapter Moves with the Navigator
Summary: EDITING: Wrong Chapter Moves with the Navigator
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: ulkitz
URL:
Whiteboard: BSA target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-12 11:46 UTC by Harald Koester
Modified: 2015-01-13 08:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document (13.10 KB, application/vnd.oasis.opendocument.text)
2012-12-12 11:46 UTC, Harald Koester
Details
Another example document in order to perform wrong moves (14.82 KB, application/vnd.oasis.opendocument.text)
2013-04-04 10:15 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-12-12 11:46:00 UTC
Created attachment 71389 [details]
Example document

Problem description: 

Under certain conditions a move of a chapter with the Navigator causes a wrong move. I will add an attachment with an example. Perform the steps written in this document.

I've described this bug already in bug 42786 together with other bugs. At that bug report you will find an attachment with a more complicated chapter structure and some chapter moves where this bug occurs too.
Operating System: Windows 7
Comment 1 Harald Koester 2012-12-12 12:16:13 UTC
See also: bug 58186, bug 58187, bug 58191, bug 58192.
Comment 2 Cor Nouws 2013-03-30 23:34:27 UTC
I've not noticed this before.
Is this a more general problem, or linked to some special cases??
Comment 3 Harald Koester 2013-04-04 10:15:04 UTC
Created attachment 77412 [details]
Another example document in order to perform wrong moves
Comment 4 Harald Koester 2013-04-04 10:16:28 UTC
Not all moves go wrong, but a lot. I add another example document with more wrong moves. Open the document and follow the instructions inside the document. Hence I would assess this bug more a general problem as a special case.
Comment 5 ulkitz 2014-09-19 18:43:06 UTC
The problem occurs when dropping any heading after the first heading (with index 0). See https://gerrit.libreoffice.org/#/c/11200/
Comment 6 Commit Notification 2014-09-21 21:45:26 UTC
Ulrich Kitzinger committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54a48cd11d62082eb57b07bb245e49af255c6731

fdo#58189 : EDITING: Wrong Chapter Moves with the Navigator



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Harald Koester 2015-01-12 22:28:42 UTC
Checked again with:

Version 4.3.5.: Bug still exists.
Version 4.4.0.2 (RC2): Works for me as expected.

From my point of view the patch is OK and the bug can be closed.
Comment 8 Cor Nouws 2015-01-13 08:32:17 UTC
thanks Harald
Comment 9 Cor Nouws 2015-01-13 08:32:29 UTC
& close